Bug 191306 - Kde Help Center can't build an index
Kde Help Center can't build an index
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-05-10 13:26 EDT by Penelope Fudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-19 14:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2006-05-10 13:26:06 EDT
Description of problem:
In Konsole, I clicked on help/Konsole Handbook, and the KDE help center popped
up.  Building a search index seemed to be the thing to do, so I checked the box
for unix man pages, and clicked on 'Build search index'.  On the next screen I
checked 'Application manuals' and clicked on 'Build index'.

The process finished amazingly fast, so I was suspicious that it didn't do
anything at all.  That seems to be the case; after clicking on 'Details' the
dialog box ends with 'htdig failed'.  It appears that htdig isn't installed.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. See above
Actual results:
INDEXDIR: /home/croot/.kde/share/apps/khelpcenter/index/
FINDCMD: find /usr/share/doc/HTML/en/ -name index.docbook
Creating index for 'kde_application_manuals'
htdig failed

Expected results:

Additional info:
Comment 1 Penelope Fudd 2006-05-10 13:28:54 EDT
I've installed htdig ('yum install htdig'), and the problem goes away.

The rpm for kdebase either needs to have a dependency for htdig added, or it
needs to have a workaround if htdig is not installed.
Comment 2 Ngo Than 2006-05-19 14:25:47 EDT
yes it seems htdig is needed here. I have added requires on htdig in next
kdebase rebuild. It will be available in FC5-update soon. Many thanks for your

Note You need to log in before you can comment on or make changes to this bug.